## glide2-vg 2.46-2

=== s3remap/Makefile ===
#
# THIS SOFTWARE IS SUBJECT TO COPYRIGHT PROTECTION AND IS OFFERED ONLY
# PURSUANT TO THE 3DFX GLIDE GENERAL PUBLIC LICENSE. THERE IS NO RIGHT
# TO USE THE GLIDE TRADEMARK WITHOUT PRIOR WRITTEN PERMISSION OF 3DFX
# INTERACTIVE, INC. A COPY OF THIS LICENSE MAY BE OBTAINED FROM THE 
# DISTRIBUTOR OR BY CONTACTING 3DFX INTERACTIVE INC(info@3dfx.com). 
# THIS PROGRAM IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER 
# EXPRESSED OR IMPLIED. SEE THE 3DFX GLIDE GENERAL PUBLIC LICENSE FOR A
# FULL TEXT OF THE NON-WARRANTY PROVISIONS.  
# 
# USE, DUPLICATION OR DISCLOSURE BY THE GOVERNMENT IS SUBJECT TO
# RESTRICTIONS AS SET FORTH IN SUBDIVISION (C)(1)(II) OF THE RIGHTS IN
# TECHNICAL DATA AND COMPUTER SOFTWARE CLAUSE AT DFARS 252.227-7013,
# AND/OR IN SIMILAR OR SUCCESSOR CLAUSES IN THE FAR, DOD OR NASA FAR
# SUPPLEMENT. UNPUBLISHED RIGHTS RESERVED UNDER THE COPYRIGHT LAWS OF
# THE UNITED STATES.  
# 
# COPYRIGHT 3DFX INTERACTIVE, INC. 1999, ALL RIGHTS RESERVED

LCOPTS  = 
LCINCS  = 

LLDLIBS = $(BUILD_ROOT_SWLIBS)\lib\fxpci.lib

CFILES = fxremap.c 

TARGETS = $(CFILES:.c=.exe)

PROGRAM = fxremap.exe

!include $(BUILD_ROOT_SWLIBS)/include/nmake/3dfx.mak

=== debian/changelog ===
glide2-vg (2.46-2) unstable; urgency=low

  * Changed the 'Architecture:' field to i386 in the control file.

 -- Zephaniah E. Hull <warp@debian.org>  Tue, 14 Dec 1999 09:54:37 -0500

glide2-vg (2.46-1) unstable; urgency=low

  * Initial Release.

 -- Zephaniah E. Hull <warp@debian.org>  Sun, 12 Dec 1999 08:45:21 -0500

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: glide2-vg
Section: libs
Priority: extra
Maintainer: Zephaniah E. Hull <warp@debian.org>
Standards-Version: 3.0.1

Package: libglide2-vg
Provides: libglide2
Conflicts: libglide2, glide-vg
Section: libs
Architecture: i386
Depends: ${shlibs:Depends}
Recommends: glide2-base
Description: Graphics library for Voodoo Graphics cards
 This package allows you to use the 3D functions of cards based on
 3dfx Interactive, Inc's Voodoo Graphics (AKA Voodoo 1) chipset.
 You should install it if you have such a card.

=== debian/rules ===
#!/usr/bin/make -f
export DH_COMPAT = 2
export DH_VERBOSE = 1
this = make -f debian/rules

include debian/scripts/vars
BUILD_DIR=$(SOURCE_DIR)/$(TAR_DIR)

build: $(STAMP_DIR)/build
$(STAMP_DIR)/build:
# One of
	$(MAKE) -f debian/sys-build.mk source.make
	$(MAKE) -C $(BUILD_DIR) -f makefile.unix incs libs
	touch $(STAMP_DIR)/build
# or
#	$(MAKE -f debian/sys-build.mk source.compile

sys-clean:
	$(MAKE) -C $(BUILD_DIR) -f makefile.unix clobber

clean:
# No need to run clean
	$(MAKE) -f debian/sys-build.mk source.clean
	rm -rf $(STAMP_DIR)

binary-indep: build
# Add rules here to build the indep debs.

binary-arch: build binary-libglide2-vg
# Add rules here to build the arch debs.

binary: binary-indep binary-arch

binary-libglide2-vg:
	DH_OPTIONS="-plibglide2-vg" $(this) binary-libglide2-vg-real

binary-libglide2-vg-real: build
	dh_testdir
	dh_testroot
	dh_clean -k

	dh_installdirs

	install -m 755 $(BUILD_DIR)/sst1/lib/libglide2x.so \
                       $(PWD)/debian/libglide2-vg/usr/lib/libglide2x_VG.so
	dh_strip

	dh_installdocs
	dh_installchangelogs
	dh_link
	dh_installdeb

	dh_compress
	dh_fixperms
	dh_shlibdeps
	dh_gencontrol
	dh_builddeb
